import { ElementRef, EventEmitter, OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { ControlType } from '../../model/boxInfo';
import { CommonService } from '../../service/common.service';
import * as i0 from "@angular/core";
export declare class FormBoxComponent implements OnInit {
    private commonService;
    constructor(commonService: CommonService);
    ngOnInit(): void;
    dragClass: string;
    addcss: string;
    canMove: boolean;
    moveIcon: ElementRef;
    mainCarry: TemplateRef<any>;
    name: string;
    controltype: ControlType;
    controlclick: EventEmitter<boolean>;
    additionalcss: string;
    miancontrol: ViewContainerRef;
    beforeshadow: ViewContainerRef;
    aftershadow: ViewContainerRef;
    isShow: boolean;
    showOptions: boolean;
    private areaname;
    ondragstart(ev: any): void;
    ondragend(ev: any): void;
    onClick(ev: any): void;
    onMousedown(ev: any): void;
    onRemoveClick(ev: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormBoxComponent, "form-box", never, { "mainCarry": "mainCarry"; "name": "name"; "controltype": "controltype"; "additionalcss": "additionalcss"; }, { "controlclick": "controlclick"; }, never, never>;
}
